ResizeCfg Struct Reference

Encoder config related to resize. More...

`#include <encoder.h>`

## Data Fields

RESIZE_MODE | resize_mode
uint8_t | resize_scale_denominator
uint8_t | resize_kf_scale_denominator

## Detailed Description

Encoder config related to resize.

## Field Documentation

## resize_mode

RESIZE_MODE ResizeCfg::resize_mode

Indicates the frame resize mode to be used by the encoder.

## resize_scale_denominator

uint8_t ResizeCfg::resize_scale_denominator

Indicates the denominator for resize of inter frames, assuming 8 as the numerator. Its value ranges between 8-16.

## resize_kf_scale_denominator

uint8_t ResizeCfg::resize_kf_scale_denominator

Indicates the denominator for resize of key frames, assuming 8 as the numerator. Its value ranges between 8-16.

The documentation for this struct was generated from the following file:

- av1/encoder/encoder.h